/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSPrimitiveValue_H___INT_
#define __GdomCSSPrimitiveValue_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomCSSValue.h"
#include "GDOMObject.h"
#include "CSSPrimitiveValue.h"
G_BEGIN_DECLS
class GDOMCSSPrimitiveValue : public GDOMCSSValue {
    typedef GDOMCSSValue Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_PRIMITIVE_VALUE; }
    GDOMCSSPrimitiveValue(PassRefPtr<WebCore::CSSPrimitiveValue> impl);
};
G_END_DECLS

#endif /* __GdomCSSPrimitiveValue_H___INT_*/
